Page MenuHomePhabricator

extensions/Math - file permissions and non-standard shebang line triggers debian lintian errors
Closed, ResolvedPublic

Description

0. Context

DEB packages of mediawiki and many of its extensions, are prepared as part of the WP-MIRROR project.
See https://www.mediawiki.org/wiki/Wp-mirror.

  1. Lintian

During the build process, lintian performs a great number of sanity checks, including seeing if each file has file permissions appropriate to its file type.

When lintian sees an executable file with 644 permissions, rather than 755, lintian will throw a warning like:

W: wp-mirror-mediawiki-extensions: script-not-executable usr/share/wp-mirror-mediawiki/extensions/Math/texvccheck/test.pl

When lintian sees a non-standard shebang line (<see https://en.wikipedia.org/wiki/Shebang_(Unix)>), lintian will throw an error like:

E: wp-mirror-mediawiki-extensions: wrong-path-for-interpreter usr/share/wp-mirror-mediawiki/extensions/Math/texvccheck/test.pl (#!/usr/local/bin/perl != /usr/bin/perl)

  1. Files which should have permissions set to 755:

Math/texvccheck/test.pl

  1. Files which should have their shebang line rewritten:

Math/texvccheck/test.pl

  1. Technical details

DEB standards version: 3.9.6
GIT branch: master

Details

Related Gerrit Patches:
mediawiki/extensions/Math : masterFix perl script permissions and shebang

Event Timeline

wpmirrordev assigned this task to TheDJ.
wpmirrordev raised the priority of this task from to Normal.
wpmirrordev updated the task description. (Show Details)
wpmirrordev added projects: Math, good first bug.
wpmirrordev added a subscriber: wpmirrordev.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 27 2015, 4:57 AM
TheDJ added a comment.Jul 1 2015, 1:08 PM

I'm not sure if there is even a point in keeping the file, but I've put up a quick patch just in case.

Change 222111 had a related patch set uploaded (by TheDJ):
Fix perl script permissions and shebang

https://gerrit.wikimedia.org/r/222111

Change 222111 merged by jenkins-bot:
Fix perl script permissions and shebang

https://gerrit.wikimedia.org/r/222111

TheDJ added a comment.Jul 2 2015, 2:21 PM

@wpmirrordev, please do let me know if the issue clears up this way, or if it requires more work.

I confirm that the above mentioned debian lintian warning is cured.
Thanks.

TheDJ closed this task as Resolved.Jul 3 2015, 7:18 AM